summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2013-06-30 22:15:05 +0200
committer Erik Hanson2013-06-30 22:21:53 +0200
commita536adc58ea490c6f96545506d8c8d22fbaacc98 (patch)
tree33b1b31c0f58a61ff5e016cfb1404b6e552bd6fe /academic
parentc10df1cb0cdba9d4bb05bdffbf4747a481b06063 (diff)
downloadslackbuilds-a536adc58ea490c6f96545506d8c8d22fbaacc98.tar.gz
academic/aline: Added (Tk graphical interface for Perl)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/aline/README16
-rw-r--r--academic/aline/References4
-rw-r--r--academic/aline/aline.SlackBuild82
-rw-r--r--academic/aline/aline.desktop8
-rw-r--r--academic/aline/aline.info10
-rw-r--r--academic/aline/aline.pngbin0 -> 1399 bytes
-rw-r--r--academic/aline/doinst.sh3
-rw-r--r--academic/aline/slack-desc19
8 files changed, 142 insertions, 0 deletions
diff --git a/academic/aline/README b/academic/aline/README
new file mode 100644
index 0000000000..28549e30b4
--- /dev/null
+++ b/academic/aline/README
@@ -0,0 +1,16 @@
+Aline: An Extensible WYSIWYG Protein Sequence Alignment Editor for
+Publication Quality Figures.
+
+Aline is an interactive perl/tk application which can read common
+sequence alignment formats which the user can then alter, embellish,
+markup etc to produce the kind of sequence figure commonly found in
+biochemical articles.
+
+Please cite:
+Bond, C.S. and Schüttelkopf, A.W. (2009), Acta cryst. D65, 510-512
+
+NOTE:
+Although not needed for running Aline, clustalw and mkDSSP are
+desirable for its complete functionality. A third tool is CHAINSAW,
+part of the CCP4 suite (http://www.ccp4.ac.uk/). Visit the web site
+for more information and installation instructions if you want it.
diff --git a/academic/aline/References b/academic/aline/References
new file mode 100644
index 0000000000..9deaad773d
--- /dev/null
+++ b/academic/aline/References
@@ -0,0 +1,4 @@
+Please cite
+Bond, C.S. and Schüttelkopf, A.W. (2009), Acta cryst.
+D65, 510-512
+http://crystal.bcs.uwa.edu.au/px/charlie/software/aline/actad_65_510.pdf
diff --git a/academic/aline/aline.SlackBuild b/academic/aline/aline.SlackBuild
new file mode 100644
index 0000000000..433c1bbc61
--- /dev/null
+++ b/academic/aline/aline.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for aline
+
+# Copyright 2013 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=aline
+VERSION=${VERSION:-1.0.025}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCVER=011208
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}_${SRCVER}
+tar xvf $CWD/${PRGNAM}_${SRCVER}.tar.gz
+cd ${PRGNAM}_${SRCVER}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Point aline to the correct paths of its colour schemes, examples,
+# plugins and scripts.
+sed -i "s:%%SELFcolourschemes:/usr/share/$PRGNAM/colourschemes:g" bin/aline
+sed -i "s:%%SELFexample:/usr/share/$PRGNAM/example:g" bin/aline
+sed -i "s:%%SELFplugins:/usr/share/$PRGNAM/plugins:g" bin/aline
+sed -i "s:%%SELFscripts:/usr/share/$PRGNAM/scripts:g" bin/aline
+
+install -D -m755 bin/$PRGNAM $PKG/usr/bin/$PRGNAM
+install -D -m755 bin/convertdump $PKG/usr/bin/convertdump
+
+mkdir -p $PKG/usr/share/$PRGNAM/
+cp -a \
+colourschemes example plugins \
+ $PKG/usr/share/$PRGNAM/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Couldn't find an icon, so I assembled this thing from the program's logo...
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/aline/aline.desktop b/academic/aline/aline.desktop
new file mode 100644
index 0000000000..d19db01cca
--- /dev/null
+++ b/academic/aline/aline.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Aline
+Comment=A Protein Sequence Alignment Editor
+Exec=aline
+Icon=aline
+StartupNotify=false
+Type=Application
+Categories=Education;
diff --git a/academic/aline/aline.info b/academic/aline/aline.info
new file mode 100644
index 0000000000..569ad088d0
--- /dev/null
+++ b/academic/aline/aline.info
@@ -0,0 +1,10 @@
+PRGNAM="aline"
+VERSION="1.0.025"
+HOMEPAGE="http://crystal.bcs.uwa.edu.au/px/charlie/software/aline/"
+DOWNLOAD="http://crystal.bcs.uwa.edu.au/px/charlie/software/aline/aline_011208.tar.gz"
+MD5SUM="6e462b37bb016de731a3352cc9503cd9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-tk"
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
diff --git a/academic/aline/aline.png b/academic/aline/aline.png
new file mode 100644
index 0000000000..a6b212a244
--- /dev/null
+++ b/academic/aline/aline.png
Binary files differ
diff --git a/academic/aline/doinst.sh b/academic/aline/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/aline/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/aline/slack-desc b/academic/aline/slack-desc
new file mode 100644
index 0000000000..61662e1715
--- /dev/null
+++ b/academic/aline/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+aline: aline (A Sequence Alignment Editor and Viewer)
+aline:
+aline: Aline: An Extensible WYSIWYG Protein Sequence Alignment Editor
+aline: Publication Quality Figures. Aline is an interactive perl/tk
+aline: application which can read common sequence alignment formats
+aline: which the user can then alter, embellish, markup etc to produce
+aline: the kind of sequence figure commonly found in biochemical articles.
+aline:
+aline: Home: http://crystal.bcs.uwa.edu.au/px/charlie/software/aline/
+aline: References: /usr/doc/aline-$VERSION/References
+aline: